---
sidebar_label: CDPSessionOnMessageObject
---

# CDPSessionOnMessageObject interface

**Signature:**

```typescript
export interface CDPSessionOnMessageObject
```

## Properties

| Property                                                   | Modifiers | Type                                          | Description       |
| ---------------------------------------------------------- | --------- | --------------------------------------------- | ----------------- |
| [error](./puppeteer.cdpsessiononmessageobject.error.md)    |           | { message: string; data: any; code: number; } |                   |
| [id?](./puppeteer.cdpsessiononmessageobject.id.md)         |           | number                                        | <i>(Optional)</i> |
| [method](./puppeteer.cdpsessiononmessageobject.method.md)  |           | string                                        |                   |
| [params](./puppeteer.cdpsessiononmessageobject.params.md)  |           | Record&lt;string, unknown&gt;                 |                   |
| [result?](./puppeteer.cdpsessiononmessageobject.result.md) |           | any                                           | <i>(Optional)</i> |
